
// NCCompletionDictionary.h
//
// Written by Norbert Heger <bertl@hal.kph.tuwien.ac.at>
// Copyright (c)1997
//
// This file is distributed under the terms of the
// GNU General Public License.

#import <AppKit/AppKit.h>

@interface NCCompletionDictionary:NSObject
{
    IBOutlet NSBrowser *	browser;
    IBOutlet NSTextField *	keyTextField;
    IBOutlet NSTextView *	textView;
    IBOutlet NSWindow *		window;
    IBOutlet NSMatrix *		buttonMatrix;

   	NSArray *sortedKeys;
}

+ (NSDictionary *)dictionary;

- (void)showPanel:(id)sender;
- (void)set:(id)sender;
- (void)remove:(id)sender;
- (void)select:(id)sender;
- (void)import:(id)sender;

@end
